self_attested_tokens:mint.
Use an Idempotency-Key header. Only available for tokenization (self-attested) accounts.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Mint new tokens into a destination address. Only available for tokenization (self-attested) accounts.
POST /accounts/{account_id}/tokens/mints
self_attested_tokens:mint.
Use an Idempotency-Key header. Only available for tokenization (self-attested) accounts.
| Name | Type | Description |
|---|---|---|
account_id | string | KSUID of the tokenization account performing the mint. |
| Field | Type | Required | Description |
|---|---|---|---|
amount | string | Yes | Amount to mint, as a decimal string. |
destination.address_id | string | Yes | KSUID of the destination address that will receive the minted tokens. |
destination.value_type | string | Yes | The token value type (e.g., MY_TOKEN). |
destination.transfer_type | string | Yes | The chain to mint on (e.g., base, solana). |
curl --request POST \
--url https://api.brale.xyz/accounts/{account_id}/tokens/mints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <uuid>' \
--data '{
"amount": "1000.50",
"destination": {
"address_id": "2VcUIIsgARwVbEGlIYbhg6fGG57",
"value_type": "MY_TOKEN",
"transfer_type": "base"
}
}'
{
"id": "2XyMintKsuid000000000000000",
"status": "pending",
"amount": "1000.50",
"destination": {
"address_id": "2VcUIIsgARwVbEGlIYbhg6fGG57",
"value_type": "MY_TOKEN",
"transfer_type": "base"
},
"created_at": "2025-01-15T12:00:00Z"
}
{
"status": 403,
"title": "Forbidden",
"detail": "Account is not configured as a tokenization (self-attested) account."
}
Was this page helpful?